Author Topic: New TI-Nspire OS 3.6 with extra lockdown  (Read 26646 times)

0 Members and 1 Guest are viewing this topic.

Offline Adriweb

  • Editor
  • LV10 31337 u53r (Next: 2000)
  • **********
  • Posts: 1708
  • Rating: +229/-17
    • View Profile
    • TI-Planet.org
Re: New TI-Nspire OS 3.6 with extra lockdown
« Reply #45 on: October 16, 2013, 09:52:22 pm »
Mainly design changes and some Lua scripting changes too.

Official changelog will be coming soon anyway
My calculator programs
TI-Planet.org co-admin.
TI-Nspire Lua programming : Tutorials  |  API Documentation

Offline Roondak

  • LV3 Member (Next: 100)
  • ***
  • Posts: 54
  • Rating: +4/-3
    • View Profile
Re: New TI-Nspire OS 3.6 with extra lockdown
« Reply #46 on: October 16, 2013, 10:02:11 pm »
Tried it out on my CAS CX with nlaunch, it turned my 5KB document into a 7KB document. When I "downgraded" the document, it went back to 5KB.

Offline Adriweb

  • Editor
  • LV10 31337 u53r (Next: 2000)
  • **********
  • Posts: 1708
  • Rating: +229/-17
    • View Profile
    • TI-Planet.org
Re: New TI-Nspire OS 3.6 with extra lockdown
« Reply #47 on: October 17, 2013, 02:26:41 am »
Tried it out on my CAS CX with nlaunch, it turned my 5KB document into a 7KB document. When I "downgraded" the document, it went back to 5KB.
Interesting (but sad).
What kind of document was that, by the way ?
My calculator programs
TI-Planet.org co-admin.
TI-Nspire Lua programming : Tutorials  |  API Documentation

Offline Roondak

  • LV3 Member (Next: 100)
  • ***
  • Posts: 54
  • Rating: +4/-3
    • View Profile
Re: New TI-Nspire OS 3.6 with extra lockdown
« Reply #48 on: October 17, 2013, 07:07:16 am »
Just some Nspire BASIC programming. You know, the calculator and such. It also had a note in it.

It originally wouldn't let me re-open it in 3.1, so I sent it to the computer software, opened it with that, and sent it back and it was 3.1 style again (even though my student software is 3.2).

Offline Adriweb

  • Editor
  • LV10 31337 u53r (Next: 2000)
  • **********
  • Posts: 1708
  • Rating: +229/-17
    • View Profile
    • TI-Planet.org
Re: New TI-Nspire OS 3.6 with extra lockdown
« Reply #49 on: October 17, 2013, 07:36:35 am »
Yeah, 3.2+ are not 100% compatible with 3.1...
(Might especially be because of the Notes pages, actually)
My calculator programs
TI-Planet.org co-admin.
TI-Nspire Lua programming : Tutorials  |  API Documentation

Offline DJ Omnimaga

  • Now active at https://codewalr.us
  • CoT Emeritus
  • LV15 Omnimagician (Next: --)
  • *
  • Posts: 55821
  • Rating: +3151/-232
  • CodeWalrus founder & retired Omnimaga founder
    • View Profile
    • DJ Omnimaga Music
Re: New TI-Nspire OS 3.6 with extra lockdown
« Reply #50 on: October 17, 2013, 11:57:07 am »
Which is why I think it would be nice to have a third-party 3.2 to 3.1 (or any other version, even 1.1 to 3.1) converter, then if the program you attempt to convert uses commands not available in older OSes, it just notifies you and ask if you want to convert anyway (and remove the offending lines of code or not).

I personally don't want to use NLaunch because I don't have enough space left on my calc to store an extra OS.
« Last Edit: October 17, 2013, 11:57:34 am by DJ Omnimaga »
In case you are wondering where I went, I left Omni back in 2015 to form CodeWalrus due to various reasons explained back then, but I stopped calc dev in 2016 and am now mostly active on the CW Discord server at https://discord.gg/cuZcfcF


Bandcamp|Reverbnation|Facebook|Youtube|Twitter

Offline Levak

  • LV9 Veteran (Next: 1337)
  • *********
  • Posts: 1002
  • Rating: +208/-39
    • View Profile
    • My website
Re: New TI-Nspire OS 3.6 with extra lockdown
« Reply #51 on: October 17, 2013, 01:07:55 pm »
Which is why I think it would be nice to have a third-party 3.2 to 3.1 (or any other version, even 1.1 to 3.1) converter, then if the program you attempt to convert uses commands not available in older OSes, it just notifies you and ask if you want to convert anyway (and remove the offending lines of code or not).
this feature actually exists in 3.1, I have documents created in 3.2 (exclusively Lua) that I can open in 3.1. When I open them, the OS prompts me a warning, but still opens it.
I do not get mad at people, I just want them to learn the way I learnt.
My website - TI-Planet - iNspired-Lua

Offline DJ Omnimaga

  • Now active at https://codewalr.us
  • CoT Emeritus
  • LV15 Omnimagician (Next: --)
  • *
  • Posts: 55821
  • Rating: +3151/-232
  • CodeWalrus founder & retired Omnimaga founder
    • View Profile
    • DJ Omnimaga Music
Re: New TI-Nspire OS 3.6 with extra lockdown
« Reply #52 on: October 17, 2013, 01:19:47 pm »
Oh ok I thought it just didn't work at all.
In case you are wondering where I went, I left Omni back in 2015 to form CodeWalrus due to various reasons explained back then, but I stopped calc dev in 2016 and am now mostly active on the CW Discord server at https://discord.gg/cuZcfcF


Bandcamp|Reverbnation|Facebook|Youtube|Twitter

Offline Adriweb

  • Editor
  • LV10 31337 u53r (Next: 2000)
  • **********
  • Posts: 1708
  • Rating: +229/-17
    • View Profile
    • TI-Planet.org
Re: New TI-Nspire OS 3.6 with extra lockdown
« Reply #53 on: October 17, 2013, 02:57:55 pm »
It's as easy as creating a new document, putting only a Lua page (might even work if a Calc page is added too, but not a Notes page), and setting the lua script's API as "1.0".

but this will be made easier in TINCS 3.6. There is directly a feature to set the compatiblity, IIRC.
My calculator programs
TI-Planet.org co-admin.
TI-Nspire Lua programming : Tutorials  |  API Documentation

Offline DJ Omnimaga

  • Now active at https://codewalr.us
  • CoT Emeritus
  • LV15 Omnimagician (Next: --)
  • *
  • Posts: 55821
  • Rating: +3151/-232
  • CodeWalrus founder & retired Omnimaga founder
    • View Profile
    • DJ Omnimaga Music
Re: New TI-Nspire OS 3.6 with extra lockdown
« Reply #54 on: October 17, 2013, 03:02:30 pm »
Oh that is cool. I hope that TI won't instate a minimum compatibility such as OS 3.2.4, tho <_<
In case you are wondering where I went, I left Omni back in 2015 to form CodeWalrus due to various reasons explained back then, but I stopped calc dev in 2016 and am now mostly active on the CW Discord server at https://discord.gg/cuZcfcF


Bandcamp|Reverbnation|Facebook|Youtube|Twitter

Offline LDStudios

  • Coder Of Tomorrow
  • LV6 Super Member (Next: 500)
  • ******
  • Posts: 388
  • Rating: +41/-1
    • View Profile
    • LD Studios
Re: New TI-Nspire OS 3.6 with extra lockdown
« Reply #55 on: October 17, 2013, 03:53:37 pm »
Looks nice, but im disappointed by the inability to downgrade. Maybe Ill put it on my CX but not my CX CAS



Offline Hayleia

  • Programming Absol
  • Coder Of Tomorrow
  • LV12 Extreme Poster (Next: 5000)
  • ************
  • Posts: 3367
  • Rating: +393/-7
    • View Profile
Re: New TI-Nspire OS 3.6 with extra lockdown
« Reply #56 on: October 17, 2013, 03:58:48 pm »
Well you still can put it in dual boot on your CX CAS without deleting Ndless on any of your calculators.
I own: 83+ ; 84+SE ; 76.fr ; CX CAS ; Prizm ; 84+CSE
Sorry if I answer with something that seems unrelated, English is not my primary language and I might not have understood well. Sorry if I make English mistakes too.

click here to know where you got your last +1s

Offline Roondak

  • LV3 Member (Next: 100)
  • ***
  • Posts: 54
  • Rating: +4/-3
    • View Profile
Re: New TI-Nspire OS 3.6 with extra lockdown
« Reply #57 on: October 17, 2013, 07:19:48 pm »
It seems that 3.2 docs can be opened with 3.1, 3.1 just deletes the offending stuff as far as I can tell. The warning is what tells you that the deletion will happen.
The 3.6 doc I created could not be opened with 3.1, but opening it and saving in the Student Software made it work.

Offline DJ Omnimaga

  • Now active at https://codewalr.us
  • CoT Emeritus
  • LV15 Omnimagician (Next: --)
  • *
  • Posts: 55821
  • Rating: +3151/-232
  • CodeWalrus founder & retired Omnimaga founder
    • View Profile
    • DJ Omnimaga Music
Re: New TI-Nspire OS 3.6 with extra lockdown
« Reply #58 on: October 17, 2013, 10:29:56 pm »
Well that's good to hear then. I got worried because IIRC, from 1.1 to 2.0 or 2.0 to 3.0.1 the compatibility broke, even if in some cases there was no document changes. It was not just for Lua material.
In case you are wondering where I went, I left Omni back in 2015 to form CodeWalrus due to various reasons explained back then, but I stopped calc dev in 2016 and am now mostly active on the CW Discord server at https://discord.gg/cuZcfcF


Bandcamp|Reverbnation|Facebook|Youtube|Twitter

Offline critor

  • Editor
  • LV11 Super Veteran (Next: 3000)
  • ***********
  • Posts: 2079
  • Rating: +439/-13
    • View Profile
    • TI-Planet
Re: New TI-Nspire OS 3.6 with extra lockdown
« Reply #59 on: October 21, 2013, 12:07:41 pm »
I've now made some charts for TI-Nspire OS sizes from 1.1 to 3.6. You can see what OS 3.6 is forbidding you to do, and where we are going, especially for TI-Nspire ClickPad and TouchPad...










Sources:
http://tiplanet.org/forum/viewtopic.php?f=43&t=13251
http://wiki.tiplanet.org/Versions_Nspire
« Last Edit: October 21, 2013, 12:08:58 pm by critor »
TI-Planet co-admin.